{ pkgs, ... }: {
  programs.vscode = {
    enable = true;
    enableUpdateCheck = true;
    enableExtensionUpdateCheck = true;
    mutableExtensionsDir = true;
    extensions = with pkgs.vscode-extensions; [
      catppuccin.catppuccin-vsc
      catppuccin.catppuccin-vsc-icons
      golang.go
      vscodevim.vim
      ms-python.python
      ms-vscode-remote.remote-ssh
      bbenoist.nix
      github.copilot
      github.copilot-chat
    ];
    userSettings = {
      "window.titleBarStyle" = "custom";
      "editor.formatOnSave" = true;
    };
  };
}
