{ pkgs, ... }: {
  programs.ssh = {
    enable = true;
    controlMaster = "auto";

    matchBlocks."d dresden dresden.uio.no" = {
      setEnv = {
        TERM = "xterm-256color";
      };
      hostname = "dresden.uio.no";
      forwardAgent = false;
      proxyJump = "mbeno@rlogin.uio.no";
    };
  };
}
