{ config, pkgs, ... }: {
  programs.zsh.enable = true;
  environment.shells = with pkgs; [ zsh ];

  users.users.mbeno = {
    shell = pkgs.zsh;
    isNormalUser = true;
    description = "Martin";
    extraGroups = [ "networkmanager" "wheel" "docker" ];
    packages = with pkgs; [
      alacritty
      mumble
      zoom
      mattermost-desktop
    ];
  };

}
